<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/entities/bombs/expansionexplosive.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d15/a00416_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionexplosive.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/d15/a00416.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionExplosive.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d8/d84/a00001.html">   13</a></span><span class="comment">/**@class       ExpansionExplosive</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief       </span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d84/a00001.html#d2/d77/a08017">ExpansionExplosive</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a19357b68e4ad3588fb0bbcf5a6a343ae">   18</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/dd8/a00719.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> = 10;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#aa62967d984066859b4af7b4bcb31e4f9">   19</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/df9/a03665.html#aa62967d984066859b4af7b4bcb31e4f9">m_Timer</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#ab5076ff08b2d3d6ae39b5a9e5a4d7e10">   20</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d1/df9/a03665.html#ab5076ff08b2d3d6ae39b5a9e5a4d7e10">m_ExplosionTime</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a61e378d9a5b1a7dee9a2ef95d0b83d50">   22</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d1/df9/a03665.html#a61e378d9a5b1a7dee9a2ef95d0b83d50">m_Armed</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a1943207cdc4d13fb86408f6a076dd7e3">   23</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d1/df9/a03665.html#a1943207cdc4d13fb86408f6a076dd7e3">m_ArmedSynchRemote</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a3571aa57ca5450090cafbe21c5b9d153">   25</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d1/df9/a03665.html#a3571aa57ca5450090cafbe21c5b9d153">m_Exploded</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#ad258343d414ba5b2049dc24ca241fba0">   26</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d1/df9/a03665.html#ad258343d414ba5b2049dc24ca241fba0">m_ExplodedSynchRemote</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a914f89bce3030715154a6d79ac2acdd9">   28</a></span>    <span class="keyword">protected</span> EffectSound <a class="code hl_variable" href="../../d1/df9/a03665.html#a914f89bce3030715154a6d79ac2acdd9">m_Sound</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#ae7cdeb23778e929991aa8021596e71e9">   30</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d8/dca/a06953.html">Particle</a> <a class="code hl_variable" href="../../d1/df9/a03665.html#ae7cdeb23778e929991aa8021596e71e9">m_ParticleEfx</a>;   </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a15d9e0645671b130e2851c78bb2d7599">   32</a></span>    <span class="keyword">protected</span> ref Timer <a class="code hl_variable" href="../../d1/df9/a03665.html#a15d9e0645671b130e2851c78bb2d7599">m_ExplosionTimer</a>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a7410bcf20965b35e590144b6a07bbe3b">   34</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/df9/a03665.html#a7410bcf20965b35e590144b6a07bbe3b">ExpansionExplosive</a>()</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        m_ExplosionTimer = <span class="keyword">new</span> Timer();</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        RegisterNetSyncVariableInt( <span class="stringliteral">&quot;m_Time&quot;</span> );</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        RegisterNetSyncVariableBool( <span class="stringliteral">&quot;m_ArmedSynchRemote&quot;</span> );</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        RegisterNetSyncVariableBool( <span class="stringliteral">&quot;m_ExplodedSynchRemote&quot;</span> );</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a98031917408da86208e4e51a0d544721">   43</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/df9/a03665.html#a98031917408da86208e4e51a0d544721">~ExpansionExplosive</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">if</span> ( GetGame() &amp;&amp; (GetGame().IsClient() || !GetGame().IsMultiplayer()) ) </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d9/d8b/a01469.html#add44a473a365f75a922d36be53d2d7e7">m_ParticleEfx</a>)</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                <a class="code hl_variable" href="../../d9/d8b/a01469.html#add44a473a365f75a922d36be53d2d7e7">m_ParticleEfx</a>.Stop();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <span class="keywordflow">if</span> (m_Sound) </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                m_Sound.SoundStop();</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a45bcceec0acd0ccdc9d6afd42d4e839a">   55</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/df9/a03665.html#a45bcceec0acd0ccdc9d6afd42d4e839a">SetActions</a>()</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        super.SetActions();</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        AddAction(<a class="code hl_class" href="../../d2/d91/a04697.html">ActionTogglePlaceObject</a>);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        AddAction(ActionPlaceObject);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a22d26ada5956b87f46bb42f6c6f4eff5">   63</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/df9/a03665.html#a22d26ada5956b87f46bb42f6c6f4eff5">OnFrame</a>()</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">if</span> ( IsMissionHost() &amp;&amp; m_Armed &amp;&amp; m_ExplosionTimer.GetRemaining() &lt; 10 )</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            <a class="code hl_variable" href="../../dd/dd8/a00719.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> = Math.Round(m_ExplosionTimer.GetRemaining());</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            SetSynchDirty();</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">if</span> ( IsMissionClient() &amp;&amp; m_ArmedSynchRemote )</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            TriggerSound(<a class="code hl_variable" href="../../dd/dd8/a00719.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a>);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#abfb92e4a8a0ea66cda9a7c8b8098f7f3">   78</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/df9/a03665.html#abfb92e4a8a0ea66cda9a7c8b8098f7f3">OnPlacementComplete</a>( Man player, vector <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> = <span class="stringliteral">&quot;0 0 0&quot;</span>, vector orientation = <span class="stringliteral">&quot;0 0 0&quot;</span> )</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">if</span> ( IsMissionHost() )</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            m_ExplosionTime = <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d3/d0c/a03381.html#a876b50139f81941a2f52d24d84a766d7">ExplosionTime</a>;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            m_Armed = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            m_ArmedSynchRemote = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            m_ExplosionTimer.Run( m_ExplosionTime, <span class="keyword">this</span>, <span class="stringliteral">&quot;TriggerExplosion&quot;</span>, NULL, <span class="keyword">false</span> );</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetLog().BaseBuildingRaiding )</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#a1eb9f973eaeefbb8868edb6e23ec9c77">GetLog</a>().<a class="code hl_function" href="../../da/d07/a04357.html#add340da6804cc9f46e54b1602451955a">PrintLog</a>( <span class="stringliteral">&quot;[BaseBuildingRaiding] Player \&quot;&quot;</span> + player.GetIdentity().GetName() + <span class="stringliteral">&quot;\&quot; (id=&quot;</span> + player.GetIdentity().GetId() + <span class="stringliteral">&quot; pos=&quot;</span> + player.GetPosition() + <span class="stringliteral">&quot;)&quot;</span> + <span class="stringliteral">&quot; deployed &quot;</span> + <a class="code hl_function" href="../../db/d7c/a00722.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a>() + <span class="stringliteral">&quot; at &quot;</span> + <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>() );</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            GetGame().GetCallQueue( CALL_CATEGORY_SYSTEM ).CallLater( OnFrame, 1, <span class="keyword">true</span> );</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>            SetSynchDirty();</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#ab4b393b9696f628eb8f493f86cecdd39">   98</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/df9/a03665.html#ab4b393b9696f628eb8f493f86cecdd39">CanPutInCargo</a>( EntityAI parent )</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keywordflow">return</span> super.CanPutInCargo(parent) &amp;&amp; !m_Armed;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a24dfb69133ff3c2c86964301fb9b7ca5">  103</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/df9/a03665.html#a24dfb69133ff3c2c86964301fb9b7ca5">RemoveLater</a>()</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        ToDelete();</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <a class="code hl_function" href="../../d4/d9b/a02159.html#a58bb45de914f9ba1769fdd2184c4ba20">SetPosition</a>( vector.Zero );</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        GetGame().ObjectDelete( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a5008c46e84f3331979caefe3c846196c">  111</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/df9/a03665.html#a5008c46e84f3331979caefe3c846196c">ExpansionCanRecievePower</a>()</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a2b29afb0e524bcb961681f37190d9a9d">  116</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/df9/a03665.html#a2b29afb0e524bcb961681f37190d9a9d">OnWorkStart</a>()</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        TriggerExplosion();</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    }</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#ae205ae7540ff0e4335aa90b3a549e6b3">  121</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/df9/a03665.html#ae205ae7540ff0e4335aa90b3a549e6b3">TriggerExplosion</a>()</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    {</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keywordflow">if</span> ( IsMissionHost() &amp;&amp; !m_Exploded )</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        {</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            m_Exploded = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            m_ExplodedSynchRemote = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span><span class="comment"></span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span><span class="comment">            //! Explode( DT_EXPLOSION, &quot;ExpansionRocket_Ammo&quot; );</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span><span class="comment"></span>            <span class="comment">//ExpansionCreateExplosion( this, &quot;ExpansionRocket_Ammo&quot;, 5, 500 );</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            Object explosion = GetGame().CreateObject( <span class="stringliteral">&quot;Expansion_C4_Explosion&quot;</span>, this.<a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>() );</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            explosion.SetDirection(GetDirection());</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            GetGame().GetCallQueue( CALL_CATEGORY_SYSTEM ).CallLater( RemoveLater, 150, <span class="keyword">false</span> ); </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span> </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            <span class="keywordflow">if</span> ( !GetGame().IsMultiplayer() )</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            {</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>                HandleClientExplosion();</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>            {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>                SetSynchDirty();</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            }</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a32d9cdac11d885d1792a71d553655006">  144</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/df9/a03665.html#a32d9cdac11d885d1792a71d553655006">TriggerSound</a>(<span class="keywordtype">int</span> time)</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <span class="keywordflow">if</span> ( m_Timer &lt; ( time * 100 ) )</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        {</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            m_Timer += 10;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        }</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordflow">else</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        {</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            m_Timer = 0;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            SoundC4Beep();</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        }</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    }</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a49c4f3f16e43de64e81b960780717f54">  157</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/df9/a03665.html#a49c4f3f16e43de64e81b960780717f54">SoundC4Beep</a>()</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    {</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        EffectSound sound = SEffectManager.PlaySound(<span class="stringliteral">&quot;Expansion_Explosive_C4_SoundSet&quot;</span>, <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        sound.SetSoundAutodestroy( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    }</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span> </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#a530081f300ff92ed98d32ccc34cdb80c">  163</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/df9/a03665.html#a530081f300ff92ed98d32ccc34cdb80c">HandleClientExplosion</a>()</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    {</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d9/d8b/a01469.html#add44a473a365f75a922d36be53d2d7e7">m_ParticleEfx</a> )</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>            <a class="code hl_variable" href="../../d9/d8b/a01469.html#add44a473a365f75a922d36be53d2d7e7">m_ParticleEfx</a>.Stop();</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span> </div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        <span class="keywordflow">if</span> ( m_Sound ) </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>            m_Sound.SoundStop();</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span> </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        <span class="keywordtype">float</span> distance_to_player = vector.Distance(<a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>(), GetGame().GetPlayer().<a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span> </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        <span class="keywordtype">float</span> strength_factor = Math.InverseLerp(GameConstants.CAMERA_SHAKE_GRENADE_DISTANCE, 0, distance_to_player);</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <span class="comment">// just don&#39;t</span></div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        <span class="comment">//GetGame().GetPlayer().GetCurrentCamera().SpawnCameraShake(strength_factor * 4);</span></div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span> </div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        SEffectManager.PlaySound(<span class="stringliteral">&quot;Expansion_Explosive_Large_SoundSet&quot;</span>, <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span> </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        vector n = <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>().VectorToAngles();</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span> </div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        <a class="code hl_class" href="../../d8/dca/a06953.html">Particle</a> p2 = <a class="code hl_class" href="../../d8/dca/a06953.html">Particle</a>.Play(<a class="code hl_class" href="../../dc/df8/a04305.html">ParticleList</a>.EXPLOSION_LANDMINE, <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        p2.SetOrientation(n);</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span> </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        <a class="code hl_class" href="../../d8/dca/a06953.html">Particle</a> p3 = <a class="code hl_class" href="../../d8/dca/a06953.html">Particle</a>.Play(<a class="code hl_class" href="../../dc/df8/a04305.html">ParticleList</a>.IMPACT_METAL_RICOCHET, <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        p3.SetOrientation(n);</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    </div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        <a class="code hl_class" href="../../d8/dca/a06953.html">Particle</a> p4 = <a class="code hl_class" href="../../d8/dca/a06953.html">Particle</a>.Play(<a class="code hl_class" href="../../dc/df8/a04305.html">ParticleList</a>.IMPACT_GRAVEL_RICOCHET, <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        p4.SetOrientation(n);</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span> </div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        GetGame().GetCallQueue(CALL_CATEGORY_SYSTEM).CallLater( RemoveLater, 100, <span class="keyword">false</span> );  </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    }</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span> </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#aa5c630f3e789c5bf07b46ce04e859546">  194</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/df9/a03665.html#aa5c630f3e789c5bf07b46ce04e859546">OnVariablesSynchronized</a>()</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    {</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        super.OnVariablesSynchronized();</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <span class="keywordflow">if</span> ( m_ExplodedSynchRemote &amp;&amp; !m_Exploded ) </div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        {</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>            m_Exploded = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>            </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>            HandleClientExplosion();</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        }</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( m_ArmedSynchRemote &amp;&amp; !m_Armed )</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        {</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>            m_Armed = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span> </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>            GetGame().GetCallQueue( CALL_CATEGORY_SYSTEM ).CallLater( OnFrame, 1, <span class="keyword">true</span> );</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        }</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    }</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span> </div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#aed45677f6aebd244234ee267473e0e08">  212</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/df9/a03665.html#aed45677f6aebd244234ee267473e0e08">IsDeployable</a>()</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>    {</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>    }   </div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span> </div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#af36bf8cdfafcba6bb526e2701bf1df5b">  217</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/df9/a03665.html#af36bf8cdfafcba6bb526e2701bf1df5b">IsOneHandedBehaviour</a>()</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>    {</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    }</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>    </div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno"><a class="line" href="../../d1/df9/a03665.html#afcbf86fd95dd7d871672394e8b07c80e">  222</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/df9/a03665.html#afcbf86fd95dd7d871672394e8b07c80e">IsExplosive</a>()</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>    {</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>    }</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>}</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span> </div>
<div class="ttc" id="aa00001_html_d2/d77/a08017"><div class="ttname"><a href="../../d8/d84/a00001.html#d2/d77/a08017">ExpansionExplosive</a></div></div>
<div class="ttc" id="aa00134_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d76/a00134_source.html#l00293">expansionterritory.c:293</a></div></div>
<div class="ttc" id="aa00719_html_a2d2e872d4a5c7f9c28009b5890ecca76"><div class="ttname"><a href="../../dd/dd8/a00719.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a></div><div class="ttdeci">protected float m_Time</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/a00719_source.html#l00137">expansionnotificationsystem.c:137</a></div></div>
<div class="ttc" id="aa00722_html_abf2f1d0d1afc0eaf2994523ab122712c"><div class="ttname"><a href="../../db/d7c/a00722.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a></div><div class="ttdeci">ExpansionNotificationType GetType()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00045">notificationruntimedata.c:45</a></div></div>
<div class="ttc" id="aa01469_html_add44a473a365f75a922d36be53d2d7e7"><div class="ttname"><a href="../../d9/d8b/a01469.html#add44a473a365f75a922d36be53d2d7e7">m_ParticleEfx</a></div><div class="ttdeci">class bldr_prop_Fireplace extends House m_ParticleEfx</div></div>
<div class="ttc" id="aa02159_html_a58bb45de914f9ba1769fdd2184c4ba20"><div class="ttname"><a href="../../d4/d9b/a02159.html#a58bb45de914f9ba1769fdd2184c4ba20">SetPosition</a></div><div class="ttdeci">void SetPosition(vector pos)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9b/a02159_source.html#l00081">expansionquestnpcdata.c:81</a></div></div>
<div class="ttc" id="aa02384_html_a764a35c2d73b3fff21cd85b6baf13df4"><div class="ttname"><a href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a></div><div class="ttdeci">vector position</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d11/a02384_source.html#l00020">expansioninteriorbuildingmodule.c:20</a></div></div>
<div class="ttc" id="aa03377_html_a1eb9f973eaeefbb8868edb6e23ec9c77"><div class="ttname"><a href="../../dd/d8e/a03377.html#a1eb9f973eaeefbb8868edb6e23ec9c77">ExpansionSettings::GetLog</a></div><div class="ttdeci">ExpansionLogSettings GetLog(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00226">expansionsettings.c:226</a></div></div>
<div class="ttc" id="aa03377_html_af1efd09a45029d622fbbdb9eee9c0c9a"><div class="ttname"><a href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">ExpansionSettings::GetRaid</a></div><div class="ttdeci">ExpansionRaidSettings GetRaid(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08415_source.html#l00069">expansionsettings.c:69</a></div></div>
<div class="ttc" id="aa03381_html_a876b50139f81941a2f52d24d84a766d7"><div class="ttname"><a href="../../d3/d0c/a03381.html#a876b50139f81941a2f52d24d84a766d7">ExpansionRaidSettingsBase::ExplosionTime</a></div><div class="ttdeci">float ExplosionTime</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00018">expansionraidsettings.c:18</a></div></div>
<div class="ttc" id="aa03665_html"><div class="ttname"><a href="../../d1/df9/a03665.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc3/a00284_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03665_html_a15d9e0645671b130e2851c78bb2d7599"><div class="ttname"><a href="../../d1/df9/a03665.html#a15d9e0645671b130e2851c78bb2d7599">ItemBase::m_ExplosionTimer</a></div><div class="ttdeci">protected ref Timer m_ExplosionTimer</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00032">expansionexplosive.c:32</a></div></div>
<div class="ttc" id="aa03665_html_a1943207cdc4d13fb86408f6a076dd7e3"><div class="ttname"><a href="../../d1/df9/a03665.html#a1943207cdc4d13fb86408f6a076dd7e3">ItemBase::m_ArmedSynchRemote</a></div><div class="ttdeci">protected bool m_ArmedSynchRemote</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00023">expansionexplosive.c:23</a></div></div>
<div class="ttc" id="aa03665_html_a22d26ada5956b87f46bb42f6c6f4eff5"><div class="ttname"><a href="../../d1/df9/a03665.html#a22d26ada5956b87f46bb42f6c6f4eff5">ItemBase::OnFrame</a></div><div class="ttdeci">void OnFrame()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00063">expansionexplosive.c:63</a></div></div>
<div class="ttc" id="aa03665_html_a24dfb69133ff3c2c86964301fb9b7ca5"><div class="ttname"><a href="../../d1/df9/a03665.html#a24dfb69133ff3c2c86964301fb9b7ca5">ItemBase::RemoveLater</a></div><div class="ttdeci">void RemoveLater()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00103">expansionexplosive.c:103</a></div></div>
<div class="ttc" id="aa03665_html_a2b29afb0e524bcb961681f37190d9a9d"><div class="ttname"><a href="../../d1/df9/a03665.html#a2b29afb0e524bcb961681f37190d9a9d">ItemBase::OnWorkStart</a></div><div class="ttdeci">override void OnWorkStart()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00116">expansionexplosive.c:116</a></div></div>
<div class="ttc" id="aa03665_html_a32d9cdac11d885d1792a71d553655006"><div class="ttname"><a href="../../d1/df9/a03665.html#a32d9cdac11d885d1792a71d553655006">ItemBase::TriggerSound</a></div><div class="ttdeci">void TriggerSound(int time)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00144">expansionexplosive.c:144</a></div></div>
<div class="ttc" id="aa03665_html_a3571aa57ca5450090cafbe21c5b9d153"><div class="ttname"><a href="../../d1/df9/a03665.html#a3571aa57ca5450090cafbe21c5b9d153">ItemBase::m_Exploded</a></div><div class="ttdeci">protected bool m_Exploded</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00025">expansionexplosive.c:25</a></div></div>
<div class="ttc" id="aa03665_html_a45bcceec0acd0ccdc9d6afd42d4e839a"><div class="ttname"><a href="../../d1/df9/a03665.html#a45bcceec0acd0ccdc9d6afd42d4e839a">ItemBase::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00055">expansionexplosive.c:55</a></div></div>
<div class="ttc" id="aa03665_html_a49c4f3f16e43de64e81b960780717f54"><div class="ttname"><a href="../../d1/df9/a03665.html#a49c4f3f16e43de64e81b960780717f54">ItemBase::SoundC4Beep</a></div><div class="ttdeci">protected void SoundC4Beep()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00157">expansionexplosive.c:157</a></div></div>
<div class="ttc" id="aa03665_html_a5008c46e84f3331979caefe3c846196c"><div class="ttname"><a href="../../d1/df9/a03665.html#a5008c46e84f3331979caefe3c846196c">ItemBase::ExpansionCanRecievePower</a></div><div class="ttdeci">override bool ExpansionCanRecievePower()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00111">expansionexplosive.c:111</a></div></div>
<div class="ttc" id="aa03665_html_a530081f300ff92ed98d32ccc34cdb80c"><div class="ttname"><a href="../../d1/df9/a03665.html#a530081f300ff92ed98d32ccc34cdb80c">ItemBase::HandleClientExplosion</a></div><div class="ttdeci">private void HandleClientExplosion()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00163">expansionexplosive.c:163</a></div></div>
<div class="ttc" id="aa03665_html_a61e378d9a5b1a7dee9a2ef95d0b83d50"><div class="ttname"><a href="../../d1/df9/a03665.html#a61e378d9a5b1a7dee9a2ef95d0b83d50">ItemBase::m_Armed</a></div><div class="ttdeci">protected bool m_Armed</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00022">expansionexplosive.c:22</a></div></div>
<div class="ttc" id="aa03665_html_a7410bcf20965b35e590144b6a07bbe3b"><div class="ttname"><a href="../../d1/df9/a03665.html#a7410bcf20965b35e590144b6a07bbe3b">ItemBase::ExpansionExplosive</a></div><div class="ttdeci">void ExpansionExplosive()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00034">expansionexplosive.c:34</a></div></div>
<div class="ttc" id="aa03665_html_a914f89bce3030715154a6d79ac2acdd9"><div class="ttname"><a href="../../d1/df9/a03665.html#a914f89bce3030715154a6d79ac2acdd9">ItemBase::m_Sound</a></div><div class="ttdeci">protected EffectSound m_Sound</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00028">expansionexplosive.c:28</a></div></div>
<div class="ttc" id="aa03665_html_a98031917408da86208e4e51a0d544721"><div class="ttname"><a href="../../d1/df9/a03665.html#a98031917408da86208e4e51a0d544721">ItemBase::~ExpansionExplosive</a></div><div class="ttdeci">void ~ExpansionExplosive()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00043">expansionexplosive.c:43</a></div></div>
<div class="ttc" id="aa03665_html_aa5c630f3e789c5bf07b46ce04e859546"><div class="ttname"><a href="../../d1/df9/a03665.html#aa5c630f3e789c5bf07b46ce04e859546">ItemBase::OnVariablesSynchronized</a></div><div class="ttdeci">override void OnVariablesSynchronized()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00194">expansionexplosive.c:194</a></div></div>
<div class="ttc" id="aa03665_html_aa62967d984066859b4af7b4bcb31e4f9"><div class="ttname"><a href="../../d1/df9/a03665.html#aa62967d984066859b4af7b4bcb31e4f9">ItemBase::m_Timer</a></div><div class="ttdeci">protected int m_Timer</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00019">expansionexplosive.c:19</a></div></div>
<div class="ttc" id="aa03665_html_ab4b393b9696f628eb8f493f86cecdd39"><div class="ttname"><a href="../../d1/df9/a03665.html#ab4b393b9696f628eb8f493f86cecdd39">ItemBase::CanPutInCargo</a></div><div class="ttdeci">override bool CanPutInCargo(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00098">expansionexplosive.c:98</a></div></div>
<div class="ttc" id="aa03665_html_ab5076ff08b2d3d6ae39b5a9e5a4d7e10"><div class="ttname"><a href="../../d1/df9/a03665.html#ab5076ff08b2d3d6ae39b5a9e5a4d7e10">ItemBase::m_ExplosionTime</a></div><div class="ttdeci">protected float m_ExplosionTime</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00020">expansionexplosive.c:20</a></div></div>
<div class="ttc" id="aa03665_html_abfb92e4a8a0ea66cda9a7c8b8098f7f3"><div class="ttname"><a href="../../d1/df9/a03665.html#abfb92e4a8a0ea66cda9a7c8b8098f7f3">ItemBase::OnPlacementComplete</a></div><div class="ttdeci">override void OnPlacementComplete(Man player, vector position=&quot;0 0 0&quot;, vector orientation=&quot;0 0 0&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00078">expansionexplosive.c:78</a></div></div>
<div class="ttc" id="aa03665_html_ad258343d414ba5b2049dc24ca241fba0"><div class="ttname"><a href="../../d1/df9/a03665.html#ad258343d414ba5b2049dc24ca241fba0">ItemBase::m_ExplodedSynchRemote</a></div><div class="ttdeci">protected bool m_ExplodedSynchRemote</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00026">expansionexplosive.c:26</a></div></div>
<div class="ttc" id="aa03665_html_ae205ae7540ff0e4335aa90b3a549e6b3"><div class="ttname"><a href="../../d1/df9/a03665.html#ae205ae7540ff0e4335aa90b3a549e6b3">ItemBase::TriggerExplosion</a></div><div class="ttdeci">void TriggerExplosion()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00121">expansionexplosive.c:121</a></div></div>
<div class="ttc" id="aa03665_html_ae7cdeb23778e929991aa8021596e71e9"><div class="ttname"><a href="../../d1/df9/a03665.html#ae7cdeb23778e929991aa8021596e71e9">ItemBase::m_ParticleEfx</a></div><div class="ttdeci">protected Particle m_ParticleEfx</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00030">expansionexplosive.c:30</a></div></div>
<div class="ttc" id="aa03665_html_aed45677f6aebd244234ee267473e0e08"><div class="ttname"><a href="../../d1/df9/a03665.html#aed45677f6aebd244234ee267473e0e08">ItemBase::IsDeployable</a></div><div class="ttdeci">override bool IsDeployable()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00212">expansionexplosive.c:212</a></div></div>
<div class="ttc" id="aa03665_html_af36bf8cdfafcba6bb526e2701bf1df5b"><div class="ttname"><a href="../../d1/df9/a03665.html#af36bf8cdfafcba6bb526e2701bf1df5b">ItemBase::IsOneHandedBehaviour</a></div><div class="ttdeci">override bool IsOneHandedBehaviour()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00217">expansionexplosive.c:217</a></div></div>
<div class="ttc" id="aa03665_html_afcbf86fd95dd7d871672394e8b07c80e"><div class="ttname"><a href="../../d1/df9/a03665.html#afcbf86fd95dd7d871672394e8b07c80e">ItemBase::IsExplosive</a></div><div class="ttdeci">override bool IsExplosive()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d15/a00416_source.html#l00222">expansionexplosive.c:222</a></div></div>
<div class="ttc" id="aa04305_html"><div class="ttname"><a href="../../dc/df8/a04305.html">ParticleList</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d5e/a00860_source.html#l00013">expansionparticles.c:14</a></div></div>
<div class="ttc" id="aa04357_html_add340da6804cc9f46e54b1602451955a"><div class="ttname"><a href="../../da/d07/a04357.html#add340da6804cc9f46e54b1602451955a">ExpansionLogSettings::PrintLog</a></div><div class="ttdeci">void PrintLog(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/a00896_source.html#l00402">expansionlogsettings.c:402</a></div></div>
<div class="ttc" id="aa04697_html"><div class="ttname"><a href="../../d2/d91/a04697.html">ActionTogglePlaceObject</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d17/a01148_source.html#l00013">actiontoggleplaceobject.c:14</a></div></div>
<div class="ttc" id="aa06953_html"><div class="ttname"><a href="../../d8/dca/a06953.html">Particle</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d75/a02639_source.html#l00013">particle.c:14</a></div></div>
<div class="ttc" id="aa08424_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00254">expansionsettings.c:254</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_4995a40041868e6722cdb7419e4f96ba.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_dfe7b0a123e72a67df536971e45c79df.html">bombs</a></li><li class="navelem"><a class="el" href="../../df/d15/a00416.html">expansionexplosive.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
